## net.sf.antcontrib.logic
Class IfTask.ElseIf

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.taskdefs.condition.ConditionBase
              net.sf.antcontrib.logic.IfTask.ElseIf

Enclosing class:
  IfTask

    public static final class IfTask.ElseIf

extends org.apache.tools.ant.taskdefs.condition.ConditionBase

Field Summary

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`IfTask.ElseIf()`

Method Summary
`void` `addThen(org.apache.tools.ant.taskdefs.Sequential t)`
`boolean` `eval()`
`void` `execute()`

Methods inherited from class org.apache.tools.ant.taskdefs.condition.ConditionBase
`add, addAnd, addAvailable, addChecksum, addContains, addEquals, addFilesMatch, addHttp, addIsFalse, addIsReference, addIsSet, addIsTrue, addNot, addOr, addOs, addSocket, addUptodate, countConditions, getConditions`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IfTask.ElseIf

    public IfTask.ElseIf()

Method Detail

### addThen

    public void addThen(org.apache.tools.ant.taskdefs.Sequential t)

### eval

    public boolean eval()
                 throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`